package net.tccn.redim.service;

import org.redkale.service.RetResult;
import org.redkale.service.Service;

public interface ImFriendService extends Service {

    //================ 查询相关 =================

    /**
     * 分组好友数据
     *
     * @return
     */
    RetResult friends(String sessionid);

    /**
     * 根据条件查询好友
     *
     * @return
     */
    RetResult friendList(String sessionid);

    /**
     * 群组数据
     *
     * @return
     */
    RetResult groups(String sessionid);


    //================ 操作好友相关 =================

    /**
     * 保存好友分组
     *
     * @return
     */
    RetResult itemSave(String sessionid);

    /**
     * 添加好友
     *
     * @return
     */
    RetResult addFriend(String sessionid);

    //================ 操作群组相关 =================

    /**
     * 保存群组
     *
     * @return
     */
    RetResult groupSave(String sessionid);

    /**
     * 加入群组
     *
     * @return
     */
    RetResult addGroup(String sessionid);

    /**
     * 登录人用户id
     *
     * @param sessionid
     * @return
     */
    //int currentUserid(String sessionid);
}
